using InfluxDB.Client.Core;

namespace PARR.API.Domain.InfluxDbModels
{
    /// <summary>
    /// Модель хранение логонов в InfluxDb
    /// </summary>
    [Measurement("logon")]
    public class LogonDbModel
    {
        [Column(nameof(Ip))]
        public required string Ip { get; set; }

        [Column(nameof(UserId), IsTag = true)]
        public Guid? UserId { get; set; }

        [Column(nameof(UnitId), IsTag = true)]
        public Guid? UnitId { get; set; }
    }
}
